Ripley.h File Reference
`#include <ripley/system_dep.h>`
`#include <escript/EsysMPI.h>`
`#include <boost/shared_ptr.hpp>`
`#include <list>`
`#include <map>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| ripley

## Typedefs

typedef std::pair< index_t, index_t > | ripley::IndexPair
typedef std::vector< index_t > | ripley::IndexVector
typedef std::vector< real_t > | ripley::DoubleVector
typedef std::vector< int > | ripley::RankVector
typedef std::map< std::string, int > | ripley::TagMap

## Enumerations

enum | { ripley::DegreesOfFreedom =1, ripley::ReducedDegreesOfFreedom =2, ripley::Nodes =3, ripley::ReducedNodes =14, ripley::Elements =4, ripley::ReducedElements =10, ripley::FaceElements =5, ripley::ReducedFaceElements =11, ripley::Points =6 }